import {Component, OnInit, AfterViewInit, Input, EventEmitter, Output} from '@angular/core';
import {Http} from "@angular/http";

declare let $:any;
declare let ej:any;

@Component({
  selector: 'task-modal',
  templateUrl: 'src/grid/task-modal/task-modal.component.html'
})
export class TaskModalComponent implements OnInit, AfterViewInit {

  newTask: any;
  @Output() taskChange = new EventEmitter();

  @Input()
  get task() {
    return this.newTask;
  }
  set task(val) {
    if(val.remarks == null) val.remarks = "";
    this.newTask = val;
    console.log("new task v modalnem oknu");
    this.taskChange.emit(this.newTask);
  }

  toolsList = [
    "view",
    "style",
    "alignment",
    "lists",
    "indenting",
    "clear",
    "doAction",
    "scripts",
    "font",
    "copyPaste",
    "links",
    "images",
    "tables",
    "casing"
  ];

  tools = {
    formatStyle: [],
    edit:["findAndReplace"],
    font: ["fontName", "fontSize", "fontColor", "backgroundColor"],
    style: ["bold", "italic", "underline", "strikethrough"],
    alignment: ["justifyLeft", "justifyCenter", "justifyRight", "justifyFull"],
    lists: ["unorderedList", "orderedList"],
    clipboard: ["cut", "copy", "paste"],
    doAction: ["undo", "redo"],
    indenting: ["outdent", "indent"],
    clear: ["clearFormat", "clearAll"],
    links: ["createLink","removeLink"],
    images: ["image"],
    tables: ["createTable", "addRowAbove", "addRowBelow", "addColumnLeft", "addColumnRight", "deleteRow", "deleteColumn", "deleteTable"],
    //effects: ["superscript", "subscript"],
    media: [],
    casing: ["upperCase", "lowerCase"],
    view:["fullScreen"],
    //print:["print"],
  };

  constructor(private http: Http) {
  }

  ngAfterViewInit() {
    let that = this;
    $( document ).ready(function() {
      $('#taskModal').on('shown.bs.modal', function() {
          console.log("Sedaj bi se lotil posodabljanja");
      });

      $('#taskModal').on('hidden.bs.modal', function () {
        console.log("Zapiram modalno okno ");
      });
      console.log("izvajam jquery");
    });
  }

  ngOnInit() {

  }

  open(){
    this.newTask = { remarks:"<p></p>To je test<br><p></p><p><ul><li>asf safsa fsadfads</li><li>a sdfasdfdsaf a</li><li>&nbsp;sdf dsf asdf as</li></ul></p>" };
    this.http.get('https://api.ipify.org/?format=json').subscribe(data => {
      let val = { remarks:"<p></p>To je test<br><p></p><p><ul><li>asf safsa fsadfads</li><li>a sdfasdfdsaf a</li><li>&nbsp;sdf dsf asdf as</li></ul></p>" };
      for (let property in val) {
        if (val.hasOwnProperty(property)) {
          this.newTask[property] = val[property];
          console.log(property);
        }
      }
    });
  }

}
